# :bird: flutter_feathersjs :bird:

[![pub points](https://badges.bar/flutter_feathersjs/pub%20points)](https://pub.dev/packages/flutter_feathersjs/score)
[![likes](https://badges.bar/flutter_feathersjs/likes)](https://pub.dev/packages/flutter_feathersjs/score)
[![popularity](https://badges.bar/flutter_feathersjs/popularity)](https://pub.dev/packages/flutter_feathersjs/score)
[![GitHub Repo stars](https://img.shields.io/github/stars/dahkenangnon/flutter_feathersjs.dart?label=github%20stars)](https://github.com/dahkenangnon/flutter_feathersjs)
[![pub version](https://img.shields.io/pub/v/flutter_feathersjs)](https://pub.dev/packages/flutter_feathersjs)
[![GitHub last commit](https://img.shields.io/github/last-commit/dahkenangnon/flutter_feathersjs.dart)](https://github.com/dahkenangnon/flutter_feathersjs)

<p align="center">
 <img width="460" alt="FlutterFeathersJs Icon" height="300" src="https://dahkenangnon.github.io/flutter_feathersjs.dart/assets/img/logo.png">
 <br>
 Communicate with your feathers js  server from flutter app with unbelieved ease and make happy your customers.
 <br><br><br>

</p>

`Infos: Feathers js is a node framework for real-time applications and REST APIs.`

<br>

## Simple to use

### 1.  Install it

```yaml
# Please see https://pub.dev/packages/flutter_feathersjs/install
flutter_feathersjs: ^lastest
```

### 2. Import it

```dart
// Import it
import 'package:flutter_feathersjs/flutter_feathersjs.dart';

```

### 3. Initialize it

```dart


//your  api baseUrl
const BASE_URL = "https://flutter-feathersjs.herokuapp.com";

// Init it globally across your app, maybe with get_it or something like that
FlutterFeathersjs flutterFeathersjs = FlutterFeathersjs()
    ..init(baseUrl: BASE_URL);

```

**You're ready to go: 3, 2, 1 :rocket:** Checkout the [doc](https://dahkenangnon.github.io/flutter_feathersjs.dart/) for more info.

## Notes

**:bird: This package can be used in prod env from  version** **V3.0.0** and up :rocket:.

**:bird: This package is tested with feathersjs v4.x**

**:bird: Great features will be added  soonly ([Learn more here](https://github.com/Dahkenangnon/flutter_feathersjs.dart/issues/19)). These feature will introduce incompatibilities with previous versions.**

:bird: Null safety supported  from version V4.0.2.

:bird: See pubspec.yaml for more infos.

## Documentation

Check it out at: [https://dahkenangnon.github.io/flutter_feathersjs.dart/](https://dahkenangnon.github.io/flutter_feathersjs.dart/)

## Support

Please email to **dah.kenangnon (at) gmail (dot) com** if you have any questions or comments or business support.

## Contributing

Please feel free to contribute to this project by opening an issue or creating a pull request.
